package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.ReasonCodeRuleParamPO;
import mhp.oee.po.gen.ReasonCodeRuleParamPOExample;
import org.apache.ibatis.annotations.Param;

public interface ReasonCodeRuleParamPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int countByExample(ReasonCodeRuleParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonCodeRuleParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int insert(ReasonCodeRuleParamPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int insertSelective(ReasonCodeRuleParamPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    List<ReasonCodeRuleParamPO> selectByExample(ReasonCodeRuleParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    ReasonCodeRuleParamPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonCodeRuleParamPO record, @Param("example") ReasonCodeRuleParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonCodeRuleParamPO record, @Param("example") ReasonCodeRuleParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ReasonCodeRuleParamPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_rule_param
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ReasonCodeRuleParamPO record);
}